# Компонент для профилирования с помощью xhprof

## Установка
### Composer
В `composer.json`, в секцию `repositories`, добавить:
```
"gitlab.iwayex.com/45": {
    "type": "composer",
    "url": "https://gitlab.iwayex.com/api/v4/group/45/-/packages/composer/packages.json"
}
```

Установить пакет:
```bash
$ composer require iwaydev/yii2-filters
```

### Dockerfile
```
# XHProf
RUN pecl install xhprof-2.3.9
RUN mkdir /var/log/xhprof
RUN chmod 777 /var/log/xhprof

# Graphviz
RUN apt-get install -y graphviz
```
## Настройка
В точке входа, в `config/main.php` добавить:
```
    'bootstrap' => [
        'xhprof'
    ],
    'components' => [
        'xhprof' => [
            'class' => \iwaydev\yii2\xhprof\XhprofComponent::class,
        ],
    ],
```
Настройки `XhprofComponent`:

| Attribute          | Type     | Description                                                                      | Default    |
|--------------------|----------|----------------------------------------------------------------------------------|------------|
| `enable`           | `bool`   | Включен или отключен                                                             | `true`     |
| `getParameterName` | `string` | Имя GET-параметра.  Если в GET-параметре передан `true`, то запустится профайлер | `profiler` |
| `auto`             | `bool`   | Запускать ли профайлер автоматом для всех запросов                               | `true`     |
